READLINK(1)

NOMBRE
readlink - muestra el destino de enlaces simbólicos o nombres canónicos de archivos.

SINOPSIS
readlink [OPCIÓN]... ARCHIVO...

DESCRIPCIÓN
realpath(1) es más aconsejable para canonizaciones.

Muestra el destino de enlaces simbólicos o nombres canónicos de archivos.

-f, --canonicalize
    canoniza siguiendo de forma recursiva todos los enlaces simbólicos de todos los componentes del nombre dado. Tienen que existir todos los componentes salvo el último.

-e, --canonicalize-existing
    canoniza siguiendo recursivamente todos los enlaces simbólicos en todos los componentes del nombre dado. Deben existir todos los componentes.

-m, --canonicalize-missing
    canoniza siguiendo recursivamente todos los enlaces simbólicos en cada componente del nombre dado. No se requiere la existencia de los componentes.

-n, --no-newline
    no muestra el delimitador del final

-q, --quiet

-s, --silent
    elimina la mayoría de mensajes de error (activado por defecto)

-v, --verbose
    muestra los mensajes de error

-z, --zero
    termina cada línea con NULL, no con nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

AUTOR
Escrito por Dmitry V. Levin.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
readlink(2), realpath(1), realpath(3)

Documentación completa <https://www.gnu.org/software/coreutils/readlink>
también disponible localmente ejecutando: info '(coreutils) readlink invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.